#include <iostream>

using namespace std;

int main()
{
ios_base::sync_with_stdio(false);
cin.tie(0);
long long a;
int b=0;
cin>>a;
while(a!=0){
if(a%10>=5){
    b=b+1;
    a=a-5;
}
if(a%10>=2){
    b=b+(a%10)/2;
    a=a-((a%10)/2)*2;
}
if (a%10==1){
    a=a-1;
    b=b+1;
}
a=a/10;
}
cout<<b;
}